package com.warewms.ams.car.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.warewms.ams.car.domain.CarInfo;
import com.warewms.ams.car.dto.CarInfoDTO;
import com.warewms.ams.car.mapper.CarInfoMapper;
import com.warewms.ams.car.service.ICarInfoService;
import com.warewms.common.utils.ConvertUtils;
import io.jsonwebtoken.lang.Assert;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 入库单Service业务层处理
 *
 * @author ruoyi
 * @date 2022-10-12
 */
@Service
public class CarInfoServiceImpl implements ICarInfoService {

    @Autowired
    private CarInfoMapper carInfoMapper;


    @Override
    public CarInfoDTO queryInfoByCarNo(Integer carNo) {
        CarInfo carInfo = carInfoMapper.queryInfoByCarNo(carNo);
        Assert.isTrue(ObjectUtil.isNotNull(carInfo), "车辆编号有误！");
        return ConvertUtils.sourceToTarget(carInfo, CarInfoDTO.class);
    }

    @Override
    public int updateCarInfo(CarInfo carInfo) {
        return carInfoMapper.updateCarInfo(carInfo);
    }


}