package com.warewms.ams.init;


import com.warewms.ams.ndc.AciService;
import com.warewms.ams.ndc.config.TestTagConfig;
import com.warewms.ams.ndc.thread.AciServiceThread;
import com.warewms.ams.thread.ServerGs;
import com.warewms.common.utils.redis.RedisCache;
import com.warewms.common.utils.redis.RedisKey;
import com.warewms.system.service.ISysConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

@Component("startService")
public class StartService implements CommandLineRunner {

    @Autowired
    private ISysConfigService configService;
    @Autowired
    private TestTagConfig testTagConfig;
    @Autowired
    private AciService aciService;
    @Autowired
    private RedisCache redisCache;


    @Override
    public void run(String... args) throws Exception {

        //ndc下发
        if (testTagConfig.getAciService()) {
            Thread thread = new Thread(new AciServiceThread(aciService));
            thread.start();
        }

        //光栅检测
        if (testTagConfig.getGsService()) {
            ServerGs server = new ServerGs(2002, configService);
            server.start();
        }


    }

    // 清除AGV任务数量
    public void clearAgvTaskNum(){
        redisCache.deleteObject(RedisKey.AGV01_TASK_NUM);
        redisCache.deleteObject(RedisKey.AGV02_TASK_NUM);
    }

}
