package com.warewms.ams.ndc.controller;

import com.warewms.ams.ndc.dto.AmsTaskCancelDTO;
import com.warewms.ams.ndc.dto.AmsTaskInfoDTO;
import com.warewms.ams.ndc.dto.AmsTaskInsertDTO;
import com.warewms.ams.ndc.service.IAmsTaskService;
import com.warewms.common.base.controller.BaseController;
import com.warewms.common.base.domain.AjaxResult;
import org.assertj.core.util.Maps;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * AGV任务Controller
 *
 * @author andy
 * @date 2022-03-10
 */
@RestController
@RequestMapping("/ams")
public class AmsTaskController extends BaseController {
    @Autowired
    private IAmsTaskService amsTaskService;

    @PostMapping(value = "/wcsTask/taskInsert")
    public AjaxResult taskInsert(@RequestBody @Valid AmsTaskInsertDTO amsTaskInsertDTO) {
        Long taskNo = amsTaskService.amsTaskInsert(amsTaskInsertDTO);
        return AjaxResult.success("任务生成成功", Maps.newHashMap("taskNo", taskNo));
    }

    @GetMapping(value = "/wcsTask/getTaskInfo")
    public AjaxResult getTaskInfo(@RequestParam String businessNo) {
        AmsTaskInfoDTO AmsTaskInfoDTO = amsTaskService.getAmsTaskInfo(businessNo);
        return AjaxResult.success(AmsTaskInfoDTO);
    }

    @PostMapping(value = "/wcsTask/taskCancel")
    public AjaxResult taskCancel(@RequestBody @Valid AmsTaskCancelDTO amsTaskCancelDTO) {
        amsTaskService.cancelAmsTask(amsTaskCancelDTO);
        return AjaxResult.success();
    }

}
