package com.warewms.ams.ndc.domain;

import com.warewms.common.annotation.Excel;
import com.warewms.common.base.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.HashMap;
import java.util.Map;

/**
 * 任务定义（lp0-lp30）对象 ams_hexdefine_detail
 * 
 * @author andy
 * @date 2022-08-12
 */
public class AmsHexdefineDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Map<String,Object> attr = new HashMap<>();

    /** 主键 */
    private Long id;

    /** 任务类型 */
    @Excel(name = "任务类型")
    private String businessType;

    /** 字段 */
    @Excel(name = "字段")
    private String colName;

    /** 1值2绑定字段 */
    @Excel(name = "1值2绑定字段")
    private Integer colType;

    /** 绑定表 */
    @Excel(name = "绑定表")
    private String bindTable;

    /** col_type1为值否则为bind_table指定表字段 */
    @Excel(name = "col_type1为值否则为bind_table指定表字段")
    private String colVal;

    /** 1字符串2数字 */
    @Excel(name = "1字符串2数字")
    private Integer valType;

    /** 字段排序 */
    @Excel(name = "字段排序")
    private Integer sortIndex;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBusinessType(String businessType) 
    {
        this.businessType = businessType;
    }

    public String getBusinessType() 
    {
        return businessType;
    }
    public void setColName(String colName) 
    {
        this.colName = colName;
    }

    public String getColName() 
    {
        return colName;
    }
    public void setColType(Integer colType) 
    {
        this.colType = colType;
    }

    public Integer getColType() 
    {
        return colType;
    }
    public void setBindTable(String bindTable) 
    {
        this.bindTable = bindTable;
    }

    public String getBindTable() 
    {
        return bindTable;
    }
    public void setColVal(String colVal) 
    {
        this.colVal = colVal;
    }

    public String getColVal() 
    {
        return colVal;
    }
    public void setValType(Integer valType) 
    {
        this.valType = valType;
    }

    public Integer getValType() 
    {
        return valType;
    }
    public void setSortIndex(Integer sortIndex) 
    {
        this.sortIndex = sortIndex;
    }

    public Integer getSortIndex() 
    {
        return sortIndex;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("businessType", getBusinessType())
                .append("colName", getColName())
                .append("colType", getColType())
                .append("bindTable", getBindTable())
                .append("colVal", getColVal())
                .append("valType", getValType())
                .append("sortIndex", getSortIndex())
                .toString();
    }
}
