package com.warewms.ams.ndc.domain;

import com.warewms.common.annotation.Excel;
import com.warewms.common.base.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 16进制指令定义对象 ams_hexdefine_header
 * 
 * @author andy
 * @date 2022-08-12
 */
public class AmsHexdefineHeader extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskName;

    /** 任务类型 */
    @Excel(name = "任务类型")
    private String businessType;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date createDate;

    /** 任务定义（lp0-lp30）信息 */
    private List<AmsHexdefineDetail> amsHexdefineDetailList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskName(String taskName) 
    {
        this.taskName = taskName;
    }

    public String getTaskName() 
    {
        return taskName;
    }
    public void setBusinessType(String businessType) 
    {
        this.businessType = businessType;
    }

    public String getBusinessType() 
    {
        return businessType;
    }
    public void setCreateDate(Date createDate) 
    {
        this.createDate = createDate;
    }

    public Date getCreateDate() 
    {
        return createDate;
    }

    public List<AmsHexdefineDetail> getAmsHexdefineDetailList()
    {
        return amsHexdefineDetailList;
    }

    public void setAmsHexdefineDetailList(List<AmsHexdefineDetail> amsHexdefineDetailList)
    {
        this.amsHexdefineDetailList = amsHexdefineDetailList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskName", getTaskName())
            .append("businessType", getBusinessType())
            .append("createDate", getCreateDate())
            .append("amsHexdefineDetailList", getAmsHexdefineDetailList())
            .toString();
    }
}
