package com.warewms.ams.ndc.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.warewms.common.annotation.Excel;
import com.warewms.common.base.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * ams任务列表对象 ams_task
 *
 * @author andy
 * @date 2022-08-08
 */
public class AmsTask extends BaseEntity {
    private static final long serialVersionUID = 1L;
    //属性
    @TableField(exist = false)
    private Map<String, Object> attr = new HashMap<>();

    public AmsTask() {
        attr.put("id", getId());
        attr.put("task_no", getTaskNo());
        attr.put("iKey", getIkey());
        attr.put("aci_index", getAciIndex());
        attr.put("st_from", getStFrom());
        attr.put("st_to", getStTo());
        attr.put("priority", getPriority());
        attr.put("system_status", getSystemStatus());
        attr.put("event", getEvent());
        attr.put("server_ack", getServerAck());
        attr.put("aci_accept", getAciAccept());
        attr.put("is_delete", getIsDelete());
        attr.put("callBackUrl", getCallbackurl());
        attr.put("addtime", getAddtime());
        attr.put("addwho", getAddwho());
        attr.put("sys_name", getSysName());
        attr.put("device_name", getDeviceName());
        attr.put("business_type", getBusinessType());
        attr.put("ext1", getExt1());
        attr.put("ext2", getExt2());
        attr.put("ext3", getExt3());
        attr.put("height_level", getHeightLevel());
        attr.put("remark", getRemark());
        attr.put("roadway", getRoadway());
        attr.put("tier", getTier());
    }

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 任务编号
     */
    @Excel(name = "任务编号")
    private String taskNo;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long ikey;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer aciIndex;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer stFrom;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer stTo;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer priority;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer systemStatus;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer event;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer serverAck;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer aciAccept;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer isDelete;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String callbackurl;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date addtime;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String addwho;

    /**
     * 调用系统名称
     */
    @Excel(name = "调用系统名称")
    private String sysName;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;

    /**
     * 任务类型(01普通任务60进判断位90出判断位m释放判断位)
     */
    @Excel(name = "任务类型(01普通任务60进判断位90出判断位m释放判断位)")
    private String businessType;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String ext1;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String ext2;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String ext3;

    /**
     * 1(低) 2(中) 3(高）
     */
    @Excel(name = "1(低) 2(中) 3(高）")
    private String heightLevel;

    /**
     * 巷道
     */
    @Excel(name = "巷道")
    private String roadway;

    /**
     * 层
     */
    @Excel(name = "层")
    private String tier;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setTaskNo(String taskNo) {
        this.taskNo = taskNo;
    }

    public String getTaskNo() {
        return taskNo;
    }

    public void setIkey(Long ikey) {
        this.ikey = ikey;
    }

    public Long getIkey() {
        return ikey;
    }

    public void setAciIndex(Integer aciIndex) {
        this.aciIndex = aciIndex;
    }

    public Integer getAciIndex() {
        return aciIndex;
    }

    public void setStFrom(Integer stFrom) {
        this.stFrom = stFrom;
    }

    public Integer getStFrom() {
        return stFrom;
    }

    public void setStTo(Integer stTo) {
        this.stTo = stTo;
    }

    public Integer getStTo() {
        return stTo;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    public Integer getPriority() {
        return priority;
    }

    public void setSystemStatus(Integer systemStatus) {
        this.systemStatus = systemStatus;
    }

    public Integer getSystemStatus() {
        return systemStatus;
    }

    public void setEvent(Integer event) {
        this.event = event;
    }

    public Integer getEvent() {
        return event;
    }

    public void setServerAck(Integer serverAck) {
        this.serverAck = serverAck;
    }

    public Integer getServerAck() {
        return serverAck;
    }

    public void setAciAccept(Integer aciAccept) {
        this.aciAccept = aciAccept;
    }

    public Integer getAciAccept() {
        return aciAccept;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setCallbackurl(String callbackurl) {
        this.callbackurl = callbackurl;
    }

    public String getCallbackurl() {
        return callbackurl;
    }

    public void setAddtime(Date addtime) {
        this.addtime = addtime;
    }

    public Date getAddtime() {
        return addtime;
    }

    public void setAddwho(String addwho) {
        this.addwho = addwho;
    }

    public String getAddwho() {
        return addwho;
    }

    public void setSysName(String sysName) {
        this.sysName = sysName;
    }

    public String getSysName() {
        return sysName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    public String getExt3() {
        return ext3;
    }

    public void setHeightLevel(String heightLevel) {
        this.heightLevel = heightLevel;
    }

    public String getHeightLevel() {
        return heightLevel;
    }

    public void setRoadway(String roadway) {
        this.roadway = roadway;
    }

    public String getRoadway() {
        return roadway;
    }

    public void setTier(String tier) {
        this.tier = tier;
    }

    public String getTier() {
        return tier;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("taskNo", getTaskNo())
                .append("ikey", getIkey())
                .append("aciIndex", getAciIndex())
                .append("stFrom", getStFrom())
                .append("stTo", getStTo())
                .append("priority", getPriority())
                .append("systemStatus", getSystemStatus())
                .append("event", getEvent())
                .append("serverAck", getServerAck())
                .append("aciAccept", getAciAccept())
                .append("isDelete", getIsDelete())
                .append("callbackurl", getCallbackurl())
                .append("addtime", getAddtime())
                .append("addwho", getAddwho())
                .append("sysName", getSysName())
                .append("deviceName", getDeviceName())
                .append("businessType", getBusinessType())
                .append("ext1", getExt1())
                .append("ext2", getExt2())
                .append("ext3", getExt3())
                .append("heightLevel", getHeightLevel())
                .append("remark", getRemark())
                .append("roadway", getRoadway())
                .append("tier", getTier())
                .toString();
    }

    public String getStr(String feild) {
        Object obj = attr.get(feild);
        if (obj != null) {
            return obj.toString();
        } else {
            return "";
        }
    }

    public void init(){
        attr.put("id", getId());
        attr.put("task_no", getTaskNo());
        attr.put("iKey", getIkey());
        attr.put("aci_index", getAciIndex());
        attr.put("st_from", getStFrom());
        attr.put("st_to", getStTo());
        attr.put("priority", getPriority());
        attr.put("system_status", getSystemStatus());
        attr.put("event", getEvent());
        attr.put("server_ack", getServerAck());
        attr.put("aci_accept", getAciAccept());
        attr.put("is_delete", getIsDelete());
        attr.put("callBackUrl", getCallbackurl());
        attr.put("addtime", getAddtime());
        attr.put("addwho", getAddwho());
        attr.put("sys_name", getSysName());
        attr.put("device_name", getDeviceName());
        attr.put("business_type", getBusinessType());
        attr.put("ext1", getExt1());
        attr.put("ext2", getExt2());
        attr.put("ext3", getExt3());
        attr.put("height_level", getHeightLevel());
        attr.put("remark", getRemark());
        attr.put("roadway", getRoadway());
        attr.put("tier", getTier());
    }

}
