package com.warewms.ams.ndc.domain;

import com.warewms.common.annotation.Excel;
import com.warewms.common.base.domain.BaseEntity;
import lombok.Data;

/**
 * 库位信息对象 base_location_info
 *
 * @author andy
 * @date 2022-02-18
 */
@Data
public class BaseLocationInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    private Long warehouseId;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    private Long zoneId;

    /**
     * 库位编码
     */
    @Excel(name = "库位编码")
    private String locationNo;

    /**
     * 排号
     */
    @Excel(name = "排号")
    private String rowNo;

    /**
     * 排序号
     */
    @Excel(name = "排序号")
    private Long rowIndex;

    /**
     * 列号
     */
    @Excel(name = "列号")
    private String colNo;

    /**
     * 列序号
     */
    @Excel(name = "列序号")
    private Long colIndex;

    /**
     * 层号
     */
    @Excel(name = "层号")
    private String shiftNo;

    /**
     * 层序号
     */
    @Excel(name = "层序号")
    private Long shiftIndex;

    /**
     * 储位状态(00)空闲,(10)占用,(20)完成,(90)合格,(99)不合格(80封存)
     */
    private String stockStatus;

    /**
     * 是否为空(Y空/N非空)
     */
    @Excel(name = "是否为空")
    private String isEmpty;

    /**
     * 指定产品
     */
//    @Excel(name = "指定产品")
    private String bindSku;

    /**
     * 储位类型（1货架2地堆3流离货架）
     */
    @Excel(name = "储位类型(1=货架,2=地堆)")
    private String locationType;

    /**
     * 盘架编号
     */
    private String rackId;

    /**
     * AGV点位
     */
    @Excel(name = "AGV点位")
    private Long agvStation;

    /**
     * 车号（标识这个库位是几号车做任务）
     */
    @Excel(name = "车号(输入1或者2)")
    private String foldedTag;

    /**
     * 叠空托盘上限（当folded_tag为1时有效）
     */
    private Long foldedCount;

    private Double heightLimit;

    private Double weightLimit;


}
