package com.warewms.ams.ndc.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class AmsTaskInsertDTO implements Serializable {

    private static final long serialVersionUID = 3177872880015150980L;

    @ApiModelProperty("任务编号")
    @NotBlank(message = "任务编号不能为空！")
    private String businessNo;

    @ApiModelProperty("任务类型")
    private String businessType;

    @ApiModelProperty("调用系统名称")
    private String sysName;

    @ApiModelProperty("调用设备名称")
    private String deviceName;

    @ApiModelProperty("任务起始点位")
    @NotBlank(message = "任务起始点位不能为空！")
    private String locationFrom;

    @ApiModelProperty("任务终点点位")
    @NotBlank(message = "任务终点点位不能为空！")
    private String locationTo;

    @ApiModelProperty("任务优先级")
    @NotNull(message = "任务优先级不能为空！")
    private Integer priority;

    @ApiModelProperty("拓展字段")
    private String extParam;

    @ApiModelProperty("拓展字段")
    private String ext1;

    @ApiModelProperty("拓展字段")
    private String ext2;

    @ApiModelProperty("拓展字段")
    private String ext3;
}
