package com.warewms.ams.ndc.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class AmsTaskStateFeedbackDTO implements Serializable {

    private static final long serialVersionUID = -842403273529360488L;

    @ApiModelProperty("AMS任务编号")
    @NotBlank(message = "AMS任务编号不能为空！")
    private String taskNo;

    @ApiModelProperty("上游系统任务编号")
    @NotBlank(message = "上游系统任务编号不能为空！")
    private String businessNo;

    @ApiModelProperty("任务状态")
    @NotNull(message = "任务状态不能为空！")
    private Integer state;

    @ApiModelProperty("车辆编号")
    private Integer carNo;
}
