package com.warewms.ams.ndc.mapper;

import com.warewms.ams.ndc.domain.AmsHexdefineDetail;

import java.util.List;

/**
 * 任务定义（lp0-lp30）Mapper接口
 * 
 * @author ruoyi
 * @date 2022-08-12
 */
public interface AmsHexdefineDetailMapper 
{
    /**
     * 查询任务定义（lp0-lp30）
     * 
     * @param id 任务定义（lp0-lp30）主键
     * @return 任务定义（lp0-lp30）
     */
     AmsHexdefineDetail selectAmsHexdefineDetailById(Long id);

    /**
     * 根据businessType查询指令明细
     * @param businessType
     * @return
     */
     List<AmsHexdefineDetail> selectAmsHexdefineDetailByBusinessType(String businessType);

    /**
     * 查询任务定义（lp0-lp30）列表
     * 
     * @param amsHexdefineDetail 任务定义（lp0-lp30）
     * @return 任务定义（lp0-lp30）集合
     */
     List<AmsHexdefineDetail> selectAmsHexdefineDetailList(AmsHexdefineDetail amsHexdefineDetail);

    /**
     * 新增任务定义（lp0-lp30）
     * 
     * @param amsHexdefineDetail 任务定义（lp0-lp30）
     * @return 结果
     */
     int insertAmsHexdefineDetail(AmsHexdefineDetail amsHexdefineDetail);

    /**
     * 修改任务定义（lp0-lp30）
     * 
     * @param amsHexdefineDetail 任务定义（lp0-lp30）
     * @return 结果
     */
     int updateAmsHexdefineDetail(AmsHexdefineDetail amsHexdefineDetail);

    /**
     * 删除任务定义（lp0-lp30）
     * 
     * @param id 任务定义（lp0-lp30）主键
     * @return 结果
     */
     int deleteAmsHexdefineDetailById(Long id);

    /**
     * 批量删除任务定义（lp0-lp30）
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
     int deleteAmsHexdefineDetailByIds(Long[] ids);
}
