package com.warewms.ams.ndc.mapper;

import com.warewms.ams.ndc.domain.AmsHexdefineDetail;
import com.warewms.ams.ndc.domain.AmsHexdefineHeader;

import java.util.List;

/**
 * 16进制指令定义Mapper接口
 * 
 * @author andy
 * @date 2022-08-12
 */
public interface AmsHexdefineHeaderMapper 
{
    /**
     * 查询16进制指令定义
     * 
     * @param id 16进制指令定义主键
     * @return 16进制指令定义
     */
     AmsHexdefineHeader selectAmsHexdefineHeaderById(Long id);

    /**
     * 查询16进制指令定义列表
     * 
     * @param amsHexdefineHeader 16进制指令定义
     * @return 16进制指令定义集合
     */
     List<AmsHexdefineHeader> selectAmsHexdefineHeaderList(AmsHexdefineHeader amsHexdefineHeader);

    /**
     * 新增16进制指令定义
     * 
     * @param amsHexdefineHeader 16进制指令定义
     * @return 结果
     */
     int insertAmsHexdefineHeader(AmsHexdefineHeader amsHexdefineHeader);

    /**
     * 修改16进制指令定义
     * 
     * @param amsHexdefineHeader 16进制指令定义
     * @return 结果
     */
     int updateAmsHexdefineHeader(AmsHexdefineHeader amsHexdefineHeader);

    /**
     * 删除16进制指令定义
     * 
     * @param id 16进制指令定义主键
     * @return 结果
     */
     int deleteAmsHexdefineHeaderById(Long id);

    /**
     * 批量删除16进制指令定义
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
     int deleteAmsHexdefineHeaderByIds(Long[] ids);

    /**
     * 批量删除任务定义（lp0-lp30）
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
     int deleteAmsHexdefineDetailByBusinessTypes(Long[] ids);
    
    /**
     * 批量新增任务定义（lp0-lp30）
     * 
     * @param amsHexdefineDetailList 任务定义（lp0-lp30）列表
     * @return 结果
     */
     int batchAmsHexdefineDetail(List<AmsHexdefineDetail> amsHexdefineDetailList);
    

    /**
     * 通过16进制指令定义主键删除任务定义（lp0-lp30）信息
     * 
     * @param id 16进制指令定义ID
     * @return 结果
     */
     int deleteAmsHexdefineDetailByBusinessType(Long id);
}
