package com.warewms.ams.ndc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.warewms.ams.ndc.domain.AmsTask;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * ams任务列表Mapper接口
 *
 * @author andy
 * @date 2022-08-08
 */
@Mapper
public interface AmsTaskMapper extends BaseMapper<AmsTask> {
    /**
     * 查询ams任务列表
     *
     * @param id ams任务列表主键
     * @return ams任务列表
     */
    AmsTask selectAmsTaskById(Long id);

    /**
     * 查询ams任务列表列表
     *
     * @param amsTask ams任务列表
     * @return ams任务列表集合
     */
    List<AmsTask> selectAmsTaskList(AmsTask amsTask);

    /**
     * 新增ams任务列表
     *
     * @param amsTask ams任务列表
     * @return 结果
     */
    int insertAmsTask(AmsTask amsTask);

    /**
     * 修改ams任务列表
     *
     * @param amsTask ams任务列表
     * @return 结果
     */
    int updateAmsTask(AmsTask amsTask);

    /**
     * 删除ams任务列表
     *
     * @param id ams任务列表主键
     * @return 结果
     */
    int deleteAmsTaskById(Long id);

    /**
     * 批量删除ams任务列表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAmsTaskByIds(Long[] ids);

    /**
     * 查询待下发的ams任务
     * @return
     */
    List<AmsTask> selectTaskNotIssued();
}
