package com.warewms.ams.ndc.service;

import com.warewms.ams.ndc.domain.AmsHexdefineHeader;

import java.util.List;

/**
 * 16进制指令定义Service接口
 * 
 * @author andy
 * @date 2022-08-12
 */
public interface IAmsHexdefineHeaderService 
{
    /**
     * 查询16进制指令定义
     * 
     * @param id 16进制指令定义主键
     * @return 16进制指令定义
     */
     AmsHexdefineHeader selectAmsHexdefineHeaderById(Long id);

    /**
     * 查询16进制指令定义列表
     * 
     * @param amsHexdefineHeader 16进制指令定义
     * @return 16进制指令定义集合
     */
     List<AmsHexdefineHeader> selectAmsHexdefineHeaderList(AmsHexdefineHeader amsHexdefineHeader);

    /**
     * 查询16进制指令定义
     *
     * @param amsHexdefineHeader 16进制指令定义
     * @return 16进制指令定义集合
     */
    AmsHexdefineHeader selectAmsHexdefineHeaderByModel(AmsHexdefineHeader amsHexdefineHeader);

    /**
     * 新增16进制指令定义
     * 
     * @param amsHexdefineHeader 16进制指令定义
     * @return 结果
     */
     int insertAmsHexdefineHeader(AmsHexdefineHeader amsHexdefineHeader);

    /**
     * 修改16进制指令定义
     * 
     * @param amsHexdefineHeader 16进制指令定义
     * @return 结果
     */
     int updateAmsHexdefineHeader(AmsHexdefineHeader amsHexdefineHeader);

    /**
     * 批量删除16进制指令定义
     * 
     * @param ids 需要删除的16进制指令定义主键集合
     * @return 结果
     */
     int deleteAmsHexdefineHeaderByIds(Long[] ids);

    /**
     * 删除16进制指令定义信息
     * 
     * @param id 16进制指令定义主键
     * @return 结果
     */
     int deleteAmsHexdefineHeaderById(Long id);
}
