package com.warewms.ams.ndc.service;

import com.warewms.ams.ndc.domain.AmsNdcEvent;

import java.util.List;

/**
 * Ndc反馈事件代码字典Service接口
 * 
 * @author andy
 * @date 2022-08-08
 */
public interface IAmsNdcEventService 
{
    /**
     * 查询Ndc反馈事件代码字典
     * 
     * @param id Ndc反馈事件代码字典主键
     * @return Ndc反馈事件代码字典
     */
     AmsNdcEvent selectAmsNdcEventById(Long id);

    /**
     * 查询Ndc反馈事件代码字典列表
     * 
     * @param amsNdcEvent Ndc反馈事件代码字典
     * @return Ndc反馈事件代码字典集合
     */
     List<AmsNdcEvent> selectAmsNdcEventList(AmsNdcEvent amsNdcEvent);

    /**
     * 查询Ndc反馈事件代码字典
     *
     * @param amsNdcEvent Ndc反馈事件代码字典
     * @return Ndc反馈事件代码字典集合
     */
    AmsNdcEvent selectAmsNdcEventByModel(AmsNdcEvent amsNdcEvent);

    /**
     * 新增Ndc反馈事件代码字典
     * 
     * @param amsNdcEvent Ndc反馈事件代码字典
     * @return 结果
     */
     int insertAmsNdcEvent(AmsNdcEvent amsNdcEvent);

    /**
     * 修改Ndc反馈事件代码字典
     * 
     * @param amsNdcEvent Ndc反馈事件代码字典
     * @return 结果
     */
     int updateAmsNdcEvent(AmsNdcEvent amsNdcEvent);

    /**
     * 批量删除Ndc反馈事件代码字典
     * 
     * @param ids 需要删除的Ndc反馈事件代码字典主键集合
     * @return 结果
     */
     int deleteAmsNdcEventByIds(Long[] ids);

    /**
     * 删除Ndc反馈事件代码字典信息
     * 
     * @param id Ndc反馈事件代码字典主键
     * @return 结果
     */
     int deleteAmsNdcEventById(Long id);
}
