package com.warewms.ams.ndc.service;

import com.warewms.ams.ndc.domain.BaseLocationInfo;

import java.util.List;

/**
 * 库位信息Service接口
 *
 * @author andy
 * @date 2022-02-18
 */
public interface IBaseLocationInfoService {

    List<BaseLocationInfo> queryBaseLocationInfoList(Integer zoneId, String rowNo);

    /**
     * 查询库位信息
     *
     * @param id 库位信息主键
     * @return 库位信息
     */
    BaseLocationInfo selectBaseLocationInfoById(Long id);

    /**
     * 查询库位信息列表
     *
     * @param baseLocationInfo 库位信息
     * @return 库位信息集合
     */
    List<BaseLocationInfo> selectBaseLocationInfoList(BaseLocationInfo baseLocationInfo);

    /**
     * 修改库位信息
     *
     * @param baseLocationInfo 库位信息
     * @return 结果
     */
    int updateBaseLocationInfo(BaseLocationInfo baseLocationInfo);

    /**
     * 批量删除库位信息
     *
     * @param ids 需要删除的库位信息主键集合
     * @return 结果
     */
    int deleteBaseLocationInfoByIds(Long[] ids);


    /**
     * 根据zoneId查询库位信息
     * 返回结果会根据排列层进行排序
     *
     * @param zoneId
     * @param warehouseId
     * @return
     */
    List<BaseLocationInfo> selectSortedLocatinListByZoneId(Long zoneId, Long warehouseId,String orderBy);
}
