package com.warewms.ams.ndc.service;

import com.warewms.ams.ndc.entity.Order;

import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: andy.qu
 * Date: 2022/8/5
 * Description: NDC消息拆包
 */
public interface SocketBufferService {
    /**
     * TCP拆包
     * @param buffer 2048长度的流数据，实际内容可能不足2048，也有可能超2048
     * @return
     */
    List<Order> bufferSeparator(byte[] buffer);


    //根据Message Type的不同进行不同的业务处理
    //目前用到的是b、s、E、R、t

    /**
     * 处理s消息
     * 车辆电量、车辆坐标点
     * @param parameters 截取的参数
     */
    void handleMsgOrderStatus(byte[] parameters);

    /**
     * 处理e消息
     * 主要业务处理均在此处
     * @param parameters 截取的参数
     */
    void handleMsgEvent(byte[] parameters);

    /**
     * NDC消息接收反馈
     * @param parameters 截取的参数
     */
    void handleMsgOrderAck(byte[] parameters);

    /**
     * 处理车辆交管停止（R）和启动消息（t）
     * @param parameters 截取的参数
     */
    void handleMsgStopStart(byte[] parameters, boolean isStop);
}
